#
# spec file for package patterns-rpm-macros
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           patterns-rpm-macros
Version:        1.0
Release:        9.2
Summary:        RPM macros for building of patterns modules
License:        MIT
Group:          Development/Tools/Other
URL:            https://github.com/openSUSE/patterns
Source0:        macros.patterns
BuildRequires:  perl(URI::Escape)
BuildArch:      noarch

%description
This package contains SUSE RPM macros to aid creating patterns.

%prep

%build
cat %{SOURCE0} >> macros.patterns

%install
mkdir -p %{buildroot}%{_rpmmacrodir}
install -m 644 macros.patterns %{buildroot}%{_rpmmacrodir}

%files
%defattr(-,root,root)
%{_rpmmacrodir}/macros.patterns

%changelog
* Thu Dec 19 2024 Frederic Crozat <fcrozat@suse.com>
- Add requires_on_transactional_recommends_otherwise,
  requires_on_traditional, requires_on_transactional and
  recommends_on_traditional macros, allowing to merge patterns from
  various products.
* Fri Aug 27 2021 Callum Farmer <gmbr3@opensuse.org>
- Add budgie desktop macro (boo#1176164)
* Tue Apr 20 2021 Hillwood Yang <hillwood@opensuse.org>
- Add support of the Deepin desktop
* Thu Sep 19 2019 Ludwig Nussel <lnussel@suse.de>
- don't generate pattern category translations anymore. The feature is now
  handled via regular package translation mechanism ie Weblate
  (fate#323785, jsc#SLE-3047,
  https://github.com/openSUSE/libsolv/commit/fa1a35c8d4cc9d1aa8199b3e2f0133a06be186a6)
* Wed Aug 28 2019 Ludwig Nussel <lnussel@suse.de>
- introduce obsolete_legacy_pattern macro
* Wed May  8 2019 Dominique Leuenberger <dimstar@opensuse.org>
- Move RPM macros to %%_rpmmacrodir.
* Thu Jun 14 2018 avvissu@yandex.by
- Add support of the Pantheon desktop
* Fri Apr  6 2018 sflees@suse.de
- Missing public cloud and, adv sys management pattern categories
  bsc#1087871
* Wed Mar 15 2017 sflees@suse.de
- split the rpm macro's out into it's own package as part of the
  pattern split project.
